- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions

# FbxLayerElementHole Class Reference

Search for all occurrences

## Detailed Description

Layer element for indicating hole of polygon of a geometry.

Definition at line 2144 of file fbxlayer.h.

`#include <fbxlayer.h>`

Inheritance diagram for FbxLayerElementHole:
[legend]

List of all members.

## Public Member Functions
| FBXSDK_FRIEND_NEW ()
void | SetReferenceMode (FbxLayerElement::EReferenceMode pMode)
| Sets the Reference Mode.
## Static Public Member Functions
static FbxLayerElementHole * | Create (FbxLayerContainer *pOwner, char const *pName)
| Allocation method.
## Protected Member Functions
| FbxLayerElementHole ()

## Constructor & Destructor Documentation

FbxLayerElementHole | ( |  | ) | `[inline, protected]`

Definition at line 2180 of file fbxlayer.h.

        {
            mReferenceMode = FbxLayerElement::eDirect;
        }

## Member Function Documentation

FBXSDK_FRIEND_NEW | ( |  | ) |

Search for all occurrences

Reimplemented from FbxLayerElement.

static FbxLayerElementHole* Create | ( | FbxLayerContainer * | pOwner,
|  | char const * | pName
| ) |  | `[static]`

Search for all occurrences

Allocation method.

Parameters:

  pOwner | The owner of this layer element.
  pName | The name of this layer element.

Returns:
  A pointer to the layer element or `NULL` if creation fails.

void SetReferenceMode | ( | FbxLayerElement::EReferenceMode | pMode | ) | `[inline]`

Search for all occurrences

Sets the Reference Mode.

Parameters:

  pMode | Specifies the reference mode.

Remarks:
  Only support eDirect.

Reimplemented from FbxLayerElement.

Definition at line 2160 of file fbxlayer.h.

        {
            if( pMode != FbxLayerElement::eDirect )
            {
                FBX_ASSERT_NOW( "hole layer elements must be direct mapped" );
                return;
            }
        }

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxlayer.h

FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole
FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole FbxLayerElementHole